-- Database: Hytte


-- Sletter tabellen

-- For å få et skript som kan kjøres flere ganger:

-- DROP TABLE Hytte;


-- MySQL
-- For å få et skript som kan kjøres flere ganger,
-- og som fungerer enten tabellen finnes eller ikke:

-- DROP TABLE IF EXISTS Hytte;



-- Oppretter tabellen

CREATE TABLE Hytte
(
    Nr           INTEGER NOT NULL,
    Beskrivelse  VARCHAR(100),
    AvstandAlpin INTEGER,
    AntallSenger SMALLINT,
    Ukepris      DECIMAL(8, 2),
    Strøm        CHAR(1),
    Dusj         CHAR(1),
    CONSTRAINT HyttePN PRIMARY KEY (Nr)
);


-- Setter inn eksempeldata

INSERT INTO Hytte (Nr, Beskrivelse, AvstandAlpin, AntallSenger, Ukepris, Strøm, Dusj) VALUES
( 1, 'Solrikt', 50, 4, 6500.00, 'J', 'J'),
( 2, 'Enkel idyll', 5000, 4, 3500.00, 'N', 'N'),
( 3, 'Midt i fjellheimen', 70000, 8, 6000.00, 'N', 'N'),
( 4, 'Solrikt', 50, 4, 6500.00, 'J', 'J'),
( 5, 'Romslig og sentralt', 250, 8, 4500.00, 'J', 'N'),
( 6, 'Ekslusivt, ski inn - ski ut', 0, 8, 12000.00, 'J', 'J'),
( 7, 'Midt i bakken', 0, 6, 9000.00, 'J', 'J');