﻿-- Database: Prosjekt


-- Sletter tabellene

-- For å få et skript som kan kjøres flere ganger:

-- DROP TABLE Arbeid;
-- DROP TABLE Prosjekt;
-- DROP TABLE Ansatt;


-- MySQL
-- For å få et skript som kan kjøres flere ganger,
-- og som fungerer enten tabellen(e) finnes eller ikke:

-- DROP TABLE IF EXISTS Arbeid;
-- DROP TABLE IF EXISTS Prosjekt;
-- DROP TABLE IF EXISTS Ansatt;



-- Oppretter tabellene

CREATE TABLE Ansatt
(
  AnsNr     INT,
  Fornavn   VARCHAR(30),
  CONSTRAINT PRIMARY KEY (AnsNr)
) ENGINE=InnoDB;

CREATE TABLE Prosjekt
(
  PNr       INT,
  Budsjett  INT,
  StartDato DATE,
  SluttDato DATE,
  Leder     INT,
  CONSTRAINT ProsjektPN PRIMARY KEY (PNr)
) ENGINE=InnoDB;

CREATE TABLE Arbeid
(
  PNr      INT,
  AnsNr    INT,
  AntTimer INT,
  CONSTRAINT ArbeidPN  PRIMARY KEY (PNr, AnsNr, AntTimer)
) ENGINE=InnoDB;



-- Setter inn eksempeldata

INSERT INTO Ansatt VALUES
(1, 'Per'),
(2, 'Lise'),
(3, 'Anders'),
(4, 'Johanne');

INSERT INTO Prosjekt VALUES
(10, 75000,  '2019-01-01', '2020-06-30', 1),
(11, 125000, '2019-02-15', '2019-05-30', 1),
(12, 275000, '2019-02-15', '2019-05-30', 4),
(13, 112000, '2019-05-30', '2019-07-01', 1),
(14, 85000,  '2019-07-01', '2020-08-15', 2),
(15, 50000,  '2019-07-01', '2020-08-15', 1),
(16, 215000, '2019-07-01', '2020-08-15', 4);

INSERT INTO Arbeid VALUES
(10, 1, 20),
(10, 2, 12),
(11, 1, 5),
(12, 1, 7),
(12, 4, 3),
(13, 1, 35),
(13, 2, 17),
(14, 1, 30),
(14, 4, 15),
(15, 1, 20),
(16, 1, 25),
(16, 4, 42);
